Subject: Re: bug#43275: Upgrade antlr-mode to latest version

From: Stefan Kangas <[email-masked]>
Date: Wed, 9 Sep 2020 05:40:41 -0700

"Wedler, Christoph" <[email-masked]> writes:

>   >> The antlr-mode shipped with Emacs is version 2.2c, but there is a
>   >> version 3.1.5 available at:
>
>   >>     https://sourceforge.net/projects/antlr-mode/files/
>
>   >> Could we upgrade it to the latest version?
>
>> I hope we can, but the fact that updating has not occurred all along
>> indicates a lack of communication with the developer of antlr-mode.
>
> If you need anything from my side (I am the author of antlr-mode),
> please let me know.
> Unfortunately, it is unrealistic for me to change the Emacs code base directly
> (due to inexperience in it & time constraints).
>
> I use antlr-3.1.5 myself on Emacs 26.3 with ANTLR v4.8/JS,
> so there is hopefully no bigger adaption necessary...

Thank you, your help is appreciated.

What is the best way to get the version of your code most suitable to
add to Emacs?  Should I use the above sourceforge link?

Best regards,
Stefan Kangas